#! /usr/bin/env python
# -*- coding: utf-8 -*-

# ******************************
# *	Copyright (c) w495, 2010
# * All rights reserved.
# ******************************

from src import config

from src import painter

def main():
	impartial  = {
		'cinepak' : (37.3228044228198 
			+ 40.0566925274575 
			+ 36.022758718987) / 3,
		'indeo5' : (33.1420663954279 
			+ 33.7413058522762 
			+ 30.4368685693292) / 3,
		'divx' : (32.5942752164356 
			+ 36.3399041397657 
			+ 30.3073339805564) / 3
	}
	
	impartial_avg  = {
		'cinepak'	: 40.0,
		'indeo5'	: 35.0,
		'divx'		: 30.0
	}
	
	subjective = {
		'cinepak'	: 4.16,
		'indeo5'	: 3.5,
		'divx'		: 2.6
	}
	
	painter.draw({
		impartial['cinepak'] : subjective['cinepak'],
		impartial['indeo5'] : subjective['indeo5'],
		impartial['divx'] : subjective['divx']
	}, config.GUI['picture-file-3'])
	
	
	painter.draw({
		impartial_avg['cinepak'] : subjective['cinepak'],
		impartial_avg['indeo5'] : subjective['indeo5'],
		impartial_avg['divx'] : subjective['divx']
	}, config.GUI['picture-file-avg'])
	

if __name__ == "__main__":
	main()
