#! /usr/bin/env python
# -*- coding: utf-8 -*-

import pylab

from matplotlib import rcParams
rcParams['text.usetex']=True
rcParams['text.latex.unicode']=True

from matplotlib import rc
rc('font',**{'family':'serif'})
rc('text', usetex=True)
rc('text.latex',unicode=True)
rc('text.latex',preamble='\usepackage[utf8]{inputenc}')
rc('text.latex',preamble='\usepackage[russian]{babel}')

from config import *
	
def draw(points, filename):
	keys = points.keys()
	values = points.values()
	dim = len(keys)
	w = 0.5
	dimw = w / dim
	f1 = pylab.figure()
	
	pylab.bar(keys, values, dimw, bottom=0.001)
	pylab.plot(keys, values, 'ro',)
	pylab.grid()
	#pylab.legend(loc='best', label="s" )
	pylab.xlabel(u" PSNR", fontsize=16)
	pylab.ylabel(ur" субъективное качество", fontsize=16)
	pylab.title(u"PSNR – субъективное качество")
	f1.savefig(filename)
	#if(True == GUI['show']):
	#	pylab.show()



	